package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.DrugConfig;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.DrugConfigService;
import com.diagbot.util.ListUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/7/29 15:04
 */
@Component
public class DrugConfigFacade {
    @Autowired
    private DrugConfigService drugConfigService;

    /**
     * 已映射
     *
     * @param name
     * @return
     */
    public Boolean isMapping(String name) {
        QueryWrapper<DrugConfig> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("unique_name", name);
        List<DrugConfig> records = drugConfigService.list(queryWrapper);
        if (ListUtil.isNotEmpty(records)) {
            return true;
        } else {
            return false;
        }
    }
}